/**
 * Test case for load.
 * Runs with mocha.
 */

"use strict";

const load = require('../lib/load.js'),
    assert = require('assert');

describe('load', () => {

    it('Render git ignore', (done) => {
        let bud = load({
            type: 'gitignore'
        }, '444', true);
        assert.ok(bud);
        assert.ok(bud.tmpl);
        bud.mkdirp = true;
        bud.path = __dirname + '/../tmp/.gitignore';
        require('coz').render(bud, function (err) {
            assert.ifError(err);
            done();
        });
    });

    it('Render npm ignore', (done) => {
        let bud = load({
            type: 'npmignore'
        }, '444', true);
        assert.ok(bud);
        assert.ok(bud.tmpl);
        bud.mkdirp = true;
        bud.path = __dirname + '/../tmp/.npmignore';
        require('coz').render(bud, function (err) {
            assert.ifError(err);
            done();
        });
    });

    it('Render codecliemate yaml', (done) => {
        let bud = load({
            type: 'codeclimateYml'
        }, '444', true);
        assert.ok(bud);
        assert.ok(bud.tmpl);
        bud.mkdirp = true;
        bud.path = __dirname + '/../tmp/.codecliemate.yml';
        require('coz').render(bud, function (err) {
            assert.ifError(err);
            done();
        });
    });

    it('Render travis yaml', (done) => {
        let bud = load({
            type: 'travisYml'
        }, '444', true);
        assert.ok(bud);
        assert.ok(bud.tmpl);
        bud.mkdirp = true;
        bud.path = __dirname + '/../tmp/.travis.yml';
        require('coz').render(bud, function (err) {
            assert.ifError(err);
            done();
        });
    });
});

